## org.apache.solr.client.solrj.request
Class DirectXmlRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.DirectXmlRequest

All Implemented Interfaces:
  Serializable, IsUpdateRequest

    public class DirectXmlRequest

extends SolrRequest
implements IsUpdateRequest

Send arbitrary XML to a request handler

Since:
  solr 1.3
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Constructor Summary
`DirectXmlRequest(String path, String body)`

Method Summary
`Collection<ContentStream>` `getContentStreams()`
`SolrParams` `getParams()`
`UpdateResponse` `process(SolrServer server)`
`void` `setParams(SolrParams params)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectXmlRequest

    public DirectXmlRequest(String path,
                            String body)

Method Detail

### getContentStreams

    public Collection<ContentStream> getContentStreams()

  Specified by:
    `getContentStreams` in class `SolrRequest`

### getParams

    public SolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### setParams

    public void setParams(SolrParams params)

### process

    public UpdateResponse process(SolrServer server)
                           throws SolrServerException,
                                  IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.